###################################################################
#
# This stage is for drupal-4
#
###################################################################
export LANG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/httpd
PG_DIR=$ROOT/opt/pgsql
WWW=$ROOT/home/www

if [ -f $APACI_DIR/htdocs/drupal ]; then
  mv $APACI_DIR/htdocs/drupal $APACI_DIR/htdocs/drupal.bak
fi
(cd $APACI_DIR/htdocs; ln -sf drupal-4.6.5 drupal )


mv $APACI_DIR/htdocs/drupal/sites/default/settings.php \
   $APACI_DIR/htdocs/drupal/sites/default/settings.php.bak
FQDN=`hostname -f`
if [ ".$FQDN" = "." ]; then
  FQDN=localhost
fi
sed -e "s%^\$db_url = 'mysql://username:password@localhost/database';%\$db_url = 'pgsql://www:pass@localhost/drupal';%" \
    -e "s%^\$base_url = 'http://localhost';%\$base_url = 'http://$FQDN/drupal';%" \
   $APACI_DIR/htdocs/drupal/sites/default/settings.php.bak \
 > $APACI_DIR/htdocs/drupal/sites/default/settings.php

/bin/su - postgres -c "sh $APACI_DIR/htdocs/drupal/custom/create_drupal_db"

cat $APACI_DIR/htdocs/drupal/custom/_htaccess.clean_url >>  $APACI_DIR/htdocs/drupal/.htaccess

if [ ! -f $WWW/.postgresql/postgresql.crt ]; then
 mkdir -p $WWW/.postgresql
 cp $PG_DIR/data/server.crt $WWW/.postgresql/postgresql.crt
 cp $PG_DIR/data/server.key $WWW/.postgresql/postgresql.key
 chown -R www.apache  $WWW/.postgresql
fi

mkdir -p $APACI_DIR/htdocs/drupal/files
chown -R www.apache $APACI_DIR/htdocs/drupal/{files,themes}

if ! fgrep "drupal/cron.php" $ROOT/var/spool/cron/crontabs/www 1>/dev/null 2>&1; then
  echo "0  *  *  *  *	wget -O - -q http://$FQDN/drupal/cron.php" >> $ROOT/var/spool/cron/crontabs/www
fi

# ( DONOT CHANGE THE NEXT ONE LINE )
# Add DRUPAL-4 Entry to Apache document index.
if [ -f $APACI_DIR/htdocs/contents.list ]; then
  if ! fgrep "DRUPAL-4.6.5" $APACI_DIR/htdocs/contents.list 1> /dev/null 2>&1; then

    cat >> $APACI_DIR/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> DRUPAL-4.6.5
    ( <A
	HREF="http://www.drupal.net/"
      >http://www.drupal.net/</A>
    )<BR>
     (Share/Publish Informations or Discussions over the Web)<BR>
     <A
      HREF="/drupal/"
     >execution</A>
    </P>
EOL
  fi
else
  awk '/Add DRUPAL-4 Entry/,/#EOS2/' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#EOS2
